if init < 2
 if init = 0
  startupTime = gettime()
	init = 1
 end
 drawclear()
 drawtext( 10, 16, "INAV Bas Telemetry")
 drawtext( 39, 24, "ver 1.0")
 if gettime() - startupTime > 149
  init = 2
	battMin = 126
 end
 stop
else
 goto main
end


hbar:
drawrectangle( rx, ry, rw, rh )
if percent
 rw -= 2
 rw = rw * percent / 100
 rw += rx
 rx += 1
 ry += 1
 rh -= 2
 while rh > 0
  drawline( rx, ry, rw, ry )
  ry += 1
	rh -= 1 
 end
end
return


main:

drawclear()

let value = getvalue( "RxV" )
drawnumber( 121, 0, value, PREC1 | INVERS )
drawtext(122, 0, "V", INVERS )

let value = getvalue( "Amps" )
drawtext(0, 32, "Curr   A")
attr = PREC1
if value > 99
 value /= 10
 attr = 0
end
drawnumber( 41, 32, value )

let value = getvalue( "Tim1" )
drawtimer( 80, 0, value, INVERS )

let percent = getvalue( "FUEL" )
drawtext(0, 40, "Fuel   %")
drawnumber( 41, 40, percent )
rx = 56
ry = 41
rh = 7
rw = 72
gosub hbar

let value = getvalue( "FasV" )
if value < battMin then battMin = value
drawtext(0, 48, "Batt    V")
drawnumber( 47, 48, value, PREC1 )
percent = value - 90
if percent < 0 then percent = 0
percent *= 100
percent /= 36
rx = 56
ry = 49
rh = 7
rw = 72
gosub hbar
percent = battMin - 90
if percent < 0 then percent = 0
percent *= 70
percent /= 36
percent += 56
if percent > rx then drawline( percent, 50, percent, 54)

rem satellite image
tmp = 127-12
drawpoint(tmp - 7, 9)
drawline(tmp - 7, 10, tmp - 6, 10)
drawline(tmp - 7, 11, tmp - 5, 11)
drawline(tmp - 6, 12, tmp - 4, 12)
drawline(tmp - 5, 13, tmp - 3, 13)
drawline(tmp - 8, 14, tmp - 6, 14)
drawpoint(tmp - 7, 13)
drawpoint(tmp - 4, 10)



if Event = EVT_EXIT_BREAK then goto done
if Event = EVT_BTN_BREAK then goto done


stop
done:
finish
